# CSS API overview

You can use the CSS API to manage your CSS and control your CSS Products
portfolio.

The CSS API is a redesign of the CSS features in [Content API for
Shopping](https://developers.google.com/shopping-content).

## CSS API versus Merchant API

Understanding the distinction between the CSS API and the Merchant API is key
to effectively managing your products. Each API serves a different purpose and
operates on different account types and ID spaces:

- **CSS API (v1):** Use this API for all functionalities related to managing
  CSS accounts and their associated CSS products. This API uses the
  `css.googleapis.com` hostname and requires a **CSS Domain ID** for product
  operations.

  - Example: `POST https://css.googleapis.com/v1/accounts/{cssDomainId}/cssProductInputs:insert`
- **[Merchant API](https://developers.google.com/merchant/api/overview)
  (v1):** Use this API for all functionalities related to
  standard Merchant Center accounts and their products. This API uses the
  `merchantapi.googleapis.com` hostname and requires a standard **Merchant
  Center ID**.

  - Example: `POST https://merchantapi.googleapis.com/v1/accounts/{merchantId}/productInputs:insert`

**Key takeaway:** Don't use a CSS Domain ID with the Merchant API for product
endpoints, and don't use a Merchant Center ID with the CSS API product
endpoints. Using the wrong ID with the wrong API will result in errors.

The CSS API and Merchant API together replace the older Content API for Shopping
(v2.1), which should no longer be used.

Here are some reasons to upgrade to the CSS API:

- New features.
- Improved alignment with Google's [API improvement proposals](https://google.aip.dev/).
- Updated documentation and [samples](https://developers.google.com/comparison-shopping-services/api/code-samples).

See [Get started](https://developers.google.com/comparison-shopping-services/api/guides/quickstart) for more
information.